[arch-commits] Commit in gmetadom/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Wed Apr 1 13:56:22 EDT 2009


    Date: Wednesday, April 1, 2009 @ 13:56:22
  Author: giovanni
Revision: 32846

Merged revisions 356,32845 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/gmetadom/trunk

........
  r356 | aaron | 2008-04-18 15:56:27 -0700 (ven, 18 apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r32845 | giovanni | 2009-04-01 10:53:39 -0700 (mer, 01 apr 2009) | 2 lines
  
  upgpkg: gmetadom 0.2.6-1
      New version 0.2.6
........

Added:
  gmetadom/repos/extra-x86_64/gmetadom-0.2.6-gcc43.patch
    (from rev 32845, gmetadom/trunk/gmetadom-0.2.6-gcc43.patch)
Modified:
  gmetadom/repos/extra-x86_64/	(properties)
  gmetadom/repos/extra-x86_64/PKGBUILD

----------------------------+
 PKGBUILD                   |   23 ++++++++++++++---------
 gmetadom-0.2.6-gcc43.patch |   18 ++++++++++++++++++
 2 files changed, 32 insertions(+), 9 deletions(-)


Property changes on: gmetadom/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gmetadom/trunk:1
   + /gmetadom/trunk:1-32845

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-01 17:53:39 UTC (rev 32845)
+++ extra-x86_64/PKGBUILD	2009-04-01 17:56:22 UTC (rev 32846)
@@ -1,21 +1,26 @@
 # $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Maintainer: Giovanni Scafora <giovanni at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gmetadom
-pkgver=0.2.4
-pkgrel=2
+pkgver=0.2.6
+pkgrel=1
 pkgdesc="C++ bindings for GDome2 DOM implementation"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://gmetadom.sourceforge.net/"
 license=('LGPL')
-depends=('gcc-libs' 'gdome2')
+depends=('gdome2')
+makedepends=('pkgconfig')
 options=('!libtool' '!makeflags')
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}b.tar.gz)
-md5sums=('bb0443a5ae4988e6b078431007fc6dcd')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz 
+        gmetadom-0.2.6-gcc43.patch)
+md5sums=('7bfb5d9c6f20ffa5e790b63d1f8cb481'
+         'ea0271007f8650733029327823353d0d')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/gmetadom-0.2.6-gcc43.patch || return 1
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir}/ install
 }

Copied: gmetadom/repos/extra-x86_64/gmetadom-0.2.6-gcc43.patch (from rev 32845, gmetadom/trunk/gmetadom-0.2.6-gcc43.patch)
===================================================================
--- extra-x86_64/gmetadom-0.2.6-gcc43.patch	                        (rev 0)
+++ extra-x86_64/gmetadom-0.2.6-gcc43.patch	2009-04-01 17:56:22 UTC (rev 32846)
@@ -0,0 +1,18 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 01_gcc43-fix.dpatch by Michael Bienia <geser at ubuntu.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+ at DPATCH@
+diff -urNad gmetadom-0.2.5-3ubuntu1~/src/gdome_cpp_smart/include/GdomeSmartDOMTraits.hh gmetadom-0.2.5-3ubuntu1/src/gdome_cpp_smart/include/GdomeSmartDOMTraits.hh
+--- gmetadom-0.2.5-3ubuntu1~/src/gdome_cpp_smart/include/GdomeSmartDOMTraits.hh	2007-11-21 18:27:08.000000000 +0100
++++ gmetadom-0.2.5-3ubuntu1/src/gdome_cpp_smart/include/GdomeSmartDOMTraits.hh	2007-11-28 12:16:00.000000000 +0100
+@@ -26,6 +26,7 @@
+  */
+ 
+ #include <string>
++#include <cstring>
+ 
+ #include "GdomeSmartDOMChar.hh"
+ 



More information about the arch-commits mailing list